Skip to main content
GET
/
billing
/
current-spend
Get current spend
curl --request GET \
  --url https://api.nova-cloud.ai/billing/current-spend \
  --header 'Authorization: Bearer <token>'
{
  "total_per_hour": 123,
  "total_per_day": 123,
  "total_per_month": 123,
  "hourly_rate": 123,
  "running_vms": 123,
  "vms": [
    {
      "vm_id": "<string>",
      "vmid": 123,
      "gpu_type": "<string>",
      "gpu_count": 123,
      "storage_gb": 123,
      "gpu_cost_per_hour": 123,
      "storage_cost_per_hour": 123,
      "network_cost_per_hour": 123,
      "total_cost_per_hour": 123
    }
  ],
  "last_updated": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use a JWT access token or API key (prefixed with nv_)

Response

200 - application/json

Current spending rate

total_per_hour
number
total_per_day
number
total_per_month
number
hourly_rate
number
running_vms
integer
vms
object[]
last_updated
string<date-time> | null